module Amoniac
  class Engine < ::Rails::Engine
    isolate_namespace Amoniac

    config.amoniac = ActiveSupport::OrderedOptions.new
    initializer 'amoniac.configuration' do |app|
      app.routes.append do
        mount Amoniac::Engine, :at => "/"
      end
    end
    config.generators do |g|
      g.test_framework :rspec
    end
  end
end
